summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/libgweather/libgweather-2.30.2-r1.ebuild')
-rw-r--r--dev-libs/libgweather/libgweather-2.30.2-r1.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/dev-libs/libgweather/libgweather-2.30.2-r1.ebuild b/dev-libs/libgweather/libgweather-2.30.2-r1.ebuild
new file mode 100644
index 0000000..e90a7d4
--- /dev/null
+++ b/dev-libs/libgweather/libgweather-2.30.2-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgweather/libgweather-2.30.2.ebuild,v 1.9 2010/10/17 15:15:49 armin76 Exp $
+
+EAPI="2"
+GCONF_DEBUG="no"
+
+inherit autotools gnome2
+
+DESCRIPTION="Library to access weather information from online services"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ppc ppc64 sh sparc x86 ~x86-fbsd"
+IUSE="python doc"
+
+# libsoup-gnome is to be used because libsoup[gnome] might not
+# get libsoup-gnome installed by the time ${P} is built
+RDEPEND=">=x11-libs/gtk+-2.11
+ >=dev-libs/glib-2.13
+ >=gnome-base/gconf-2.8
+ >=net-libs/libsoup-gnome-2.25.1:2.4
+ >=dev-libs/libxml2-2.6.0
+ python? (
+ >=dev-python/pygobject-2
+ >=dev-python/pygtk-2 )
+ !<gnome-base/gnome-applets-2.22.0"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40.3
+ >=dev-util/pkgconfig-0.19
+ >=dev-util/gtk-doc-am-1.9
+ doc? ( >=dev-util/gtk-doc-1.9 )"
+
+DOCS="AUTHORS ChangeLog MAINTAINERS NEWS"
+
+pkg_setup() {
+ G2CONF="${G2CONF}
+ --enable-locations-compression
+ --disable-all-translations-in-one-xml
+ --disable-static
+ $(use_enable python)"
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Fix building -python, Gnome bug #596660.
+ epatch "${FILESDIR}/${PN}-2.30.0-fix-automagic-python-support.patch"
+ epatch "${FILESDIR}/${PN}-2.30.0-add-stara-zagora.patch"
+
+ intltoolize --force --copy --automake || die "intltoolize failed"
+ eautoreconf
+}